<?php

namespace App\Repository;

use Doctrine\ORM\EntityRepository;
use App\Entity\Configuration;

/**
 * ConfigurationRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class ConfigurationStorageRepository extends EntityRepository
{
    public function setConfiguration($key, $value)
    {
        $em = $this->getEntityManager();
        $entity = $em->getRepository('App:Configuration')->findOneBy(array('key' => $key));
        if (!$entity) {
            $entity = new Configuration();
            $entity->setKey($key);
            $em->persist($entity);
        }
        $entity->setValue($value);
        $em->flush();
    }


}
